---
image: registry.ops.gitlab.net/gitlab-com/gl-infra/db-migration/ci-image-py3-2.9:4ae11677

stages:
  - test
  - run

lint:
  stage: test
  image: python:3.7-alpine
  before_script:
    - pip install yamllint
  script:
    - yamllint --strict .
  except:
    refs:
      - master

.run-playbook: &run-playbook
  stage: run
  before_script:
    - cd ansible
  tags:
    - release
  script:
    - ../bin/ansible-wrapper.sh playbooks/$CI_JOB_NAME.yml
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $CMD == $CI_JOB_NAME'

restart_postgres:
  <<: *run-playbook

switchover_primary:
  <<: *run-playbook
